import threading
import time
import numpy

numpy.random.seed(133484)

arr = numpy.random.rand(4 * 1024**2, 60)
brr = numpy.zeros([4 * 1024**2, 60], dtype=numpy.complex128)
THREAD = 3

def do_something(thd):
    print(thd, "####")
    for col in range(thd, 60, THREAD):
        brr[:, col] = numpy.fft.fft(arr[:, col])
    print(thd, "----")
    return

if __name__ == "__main__":
    start = time.perf_counter()
    Task = []
    for thd in range(THREAD):
        Task.append(threading.Thread(target=do_something, args=[thd]))
    for t in Task:
        t.start()
    for t in Task:
        t.join()
    finish = time.perf_counter()
    print("timeeeeeeeeeeee", finish - start)
    # print(brr)
